Bug 376851 - PCM optical output no longer works in fedora 8
PCM optical output no longer works in fedora 8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 21:54 EST by Tom Horsley
Modified: 2013-01-30 21:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:09:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsconfig.log saved from system-config-soundcard (50.02 KB, text/plain)
2007-11-11 21:54 EST, Tom Horsley
no flags Details

  None (edit)
Description Tom Horsley 2007-11-11 21:54:18 EST
Description of problem:

It doesn't seem to be possible to send raw PCM audio out my motherboard's
optical sound port any more. This works in Fedora 7 (for doing things like
playing DVDs with 5.1 sound)

Version-Release number of selected component (if applicable):
alsa-utils-1.0.15-1.fc8
alsa-lib-1.0.15-1.fc8
bluez-utils-alsa-3.20-4.fc8
alsa-lib-1.0.15-1.fc8
alsa-plugins-pulseaudio-1.0.14-5.fc8
alsa-lib-devel-1.0.15-1.fc8


How reproducible:
totally

Steps to Reproduce:
1. try to find PCM output in mixer - it ain't there
2.
3.
  
Actual results:

no raw audio stream output

Expected results:

raw audio output

Additional info:

Here's the script I was using to successfully play DVDs on Fedora 7:

amixer set IEC958 unmute
amixer set 'IEC958 Playback AC97-SPSA' 0
amixer set 'IEC958 Playback Source' PCM
exec mplayer dvd://1 -alang en -ao alsa:device=hw=0.0 -ac hwdts,hwac3,
-monitoraspect 16:9 -fs

I can't find any equivalent on Fedora 8.
Comment 1 Tom Horsley 2007-11-11 21:54:18 EST
Created attachment 254891 [details]
scsconfig.log saved from system-config-soundcard
Comment 2 Tom Horsley 2007-11-12 18:38:09 EST
After doing some reading, I have a feeling this has something to do
with pulseaudio. Are there instructions for dummies somewhere on how to
disable pulseaudio so I can see if it works once I do that?
Comment 3 Tom Horsley 2007-11-12 22:07:58 EST
OK, definitely a pulseaudio issue. I used a big hammer and moved
/etc/alsa/pcm/pulseaudio.conf and /etc/alsa/pulse-default.conf
to a different directory, and everything is back to "normal".

Now I just gotta figure out the right way to do this without such
a big hammer (if pulseaudio was supposed to make my life simpler,
it didn't work :-).
Comment 4 Pitam 2007-11-15 05:54:53 EST
remove alsa-plugins-pulseaudio;

# rpm -e alsa-plugins-pulseaudio --nodeps

sound comes back again. I have all other things installed but removed this one
only. 

The issue is with that package (alsa-plugins-pulseaudio)
Comment 5 Trevor Cordes 2007-11-15 18:50:36 EST
Perhaps related to my bug #385481 ?  I can't get SPDIF out to work in F8 on an
Audigy.  Worked fine in F7 and lower.
Comment 6 Martin Stransky 2007-12-07 06:12:55 EST
okay, moved to pulseaudio.
Comment 7 Joseph A. Farmer 2008-01-29 19:24:48 EST
This might be related?

Installed Fedora 8 some time ago on a Dell Dimension 5150.  All was well.  I
also use the digital output to a surround sound processor.  Everything has been
working well.  Until today.  Yum update pulled a bunch of packages having to do
with Pulse Audio.  After a reboot the machine lost its' ability to make noise.
Periodically after updates I have to go back into the switches tab in the volume
control and recheck the "SB Live Analog/Digital Output Jack" as that must be
checked for this to work.  It's checked.  No sound.  I checked all 5 devices
that can be selected in the Volume Control Preferences applet:

SB Live 5.1 [SB0220] (Alsa mixer)<-- What normally works
SigmaTel something <---Never use.

There were more after that Pulse Audio thing was installed but I'm down to 2 for
a reason:

yum remove pulseaudio

and the problem was fixed.

This:
pulseaudio              i386       0.9.8-5.fc8      updates           334 k
is a bad egg.
Comment 8 Lennart Poettering 2008-03-28 16:11:16 EDT
For now PA doesn't support SPDIF natively. You can always bypass PA if you need
spdif support by using "spdif:0" (or suchlike) as ALSA device instead of the
default.
Comment 9 Bug Zapper 2008-11-26 03:20:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 00:09:56 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.